Debian Bug report logs - #648857
RM: libdbd-interbase-perl -- ROM; non-free, no rdeps, alternatives exist

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Tue, 15 Nov 2011 17:15:01 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#648857; Package src:libdbd-interbase-perl. (Tue, 15 Nov 2011 17:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 15 Nov 2011 17:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: libdbd-interbase-perl: needs to be rebuilt against perl 5.14
Date: Tue, 15 Nov 2011 17:12:08 +0000
Source: libdbd-interbase-perl
Version: 0.48-3
Severity: serious

It's time to rebuild this manually, against perl 5.14.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#648857; Package src:libdbd-interbase-perl. (Tue, 15 Nov 2011 21:07:11 GMT) Full text and rfc822 format available.

Message #8 received at 648857@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 648857@bugs.debian.org
Subject: Re: Bug#648857: libdbd-interbase-perl: needs to be rebuilt against perl 5.14
Date: Tue, 15 Nov 2011 23:04:29 +0200
[Message part 1 (text/plain, inline)]
-=| Dominic Hargreaves, 15.11.2011 17:12:08 +0000 |=-
> Source: libdbd-interbase-perl
> Version: 0.48-3
> Severity: serious
> 
> It's time to rebuild this manually, against perl 5.14.

I suggest removal. There is libdbd-firebird-perl, which is compatible 
(it is a fork), better and free.
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 648857 blocks 637809 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Wed, 16 Nov 2011 23:15:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#648857; Package src:libdbd-interbase-perl. (Thu, 17 Nov 2011 16:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 17 Nov 2011 16:09:07 GMT) Full text and rfc822 format available.

Message #15 received at 648857@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Damyan Ivanov <dmn@debian.org>, 648857@bugs.debian.org
Subject: Re: Bug#648857: libdbd-interbase-perl: needs to be rebuilt against perl 5.14
Date: Thu, 17 Nov 2011 17:07:20 +0100
[Message part 1 (text/plain, inline)]
On Tue, 15 Nov 2011 23:04:29 +0200, Damyan Ivanov wrote:

> > It's time to rebuild this manually, against perl 5.14.
> I suggest removal. There is libdbd-firebird-perl, which is compatible 
> (it is a fork), better and free.

Makes sense, the package has no rdeps either, and there was no
protest so far :)

Would a transitional dummy package built from the
libdbd-firebird-perl source package make sense?

Cheers,
gregor

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: U2: The Three Sunrises
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#648857; Package src:libdbd-interbase-perl. (Fri, 18 Nov 2011 17:24:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 18 Nov 2011 17:24:29 GMT) Full text and rfc822 format available.

Message #20 received at 648857@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 648839@bugs.debian.org, 640347@bugs.debian.org, 648857@bugs.debian.org, 634598@bugs.debian.org, 628500@bugs.debian.org, 649061@bugs.debian.org, 636132@bugs.debian.org, 649060@bugs.debian.org, 648842@bugs.debian.org, 649063@bugs.debian.org, 646286@bugs.debian.org, 629255@bugs.debian.org, 649062@bugs.debian.org
Cc: Debian Release <debian-release@lists.debian.org>, Debian Devel <debian-devel@lists.debian.org>
Subject: Perl transition blockers: candidates for testing removal
Date: Fri, 18 Nov 2011 18:25:16 +0100
Hi

The following packages block the perl transition and will become testing
removal candidates soon unless the bugs get fixed:

* ifeffit (#648839)
* uwsgi (#640347)
* libdbd-interbase-perl (#648857)
* libcrypt-gcrypt-perl (#634598)
* prima (#628500)
* nginx (#649061)
* libsignatures-perl (#636132)
* libpgplot-perl (#648842)

* libtokyocabinet-perl (#649060): maybe mipsel binary should be removed?
* genders (#646286): patch ready, maybe NMU?
* openscap (#649063): maintainer said he would upload today
* libdbd-sybase-perl (#629255): maintainer, this is your ping

* openldap (#649062): won't be removed, please help fixing it!!!

Progress can be seen on the transition tracker page [1]. Currently it
looks worse than the above as some builds (mainly powerpc) are not
uploaded yet.

Cheers

Luk

[1] http://release.debian.org/transitions/html/perl5.14.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#648857; Package src:libdbd-interbase-perl. (Fri, 18 Nov 2011 19:39:06 GMT) Full text and rfc822 format available.

Message #23 received at 648857@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: gregor herrmann <gregoa@debian.org>
Cc: 648857@bugs.debian.org
Subject: Re: Bug#648857: libdbd-interbase-perl: needs to be rebuilt against perl 5.14
Date: Fri, 18 Nov 2011 21:37:11 +0200
[Message part 1 (text/plain, inline)]
-=| gregor herrmann, 17.11.2011 17:07:20 +0100 |=-
> On Tue, 15 Nov 2011 23:04:29 +0200, Damyan Ivanov wrote:
> 
> > > It's time to rebuild this manually, against perl 5.14.
> > I suggest removal. There is libdbd-firebird-perl, which is compatible 
> > (it is a fork), better and free.
> 
> Makes sense, the package has no rdeps either, and there was no
> protest so far :)
> 
> Would a transitional dummy package built from the
> libdbd-firebird-perl source package make sense?

It would if there were any rdeps. Since there are none, I don't think 
it is worth the hassle. dbd-interbase never saw a stable release...
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#648857; Package src:libdbd-interbase-perl. (Fri, 18 Nov 2011 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 18 Nov 2011 19:48:03 GMT) Full text and rfc822 format available.

Message #28 received at 648857@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Damyan Ivanov <dmn@debian.org>, 648857@bugs.debian.org
Subject: Re: Bug#648857: libdbd-interbase-perl: needs to be rebuilt against perl 5.14
Date: Fri, 18 Nov 2011 20:45:52 +0100
[Message part 1 (text/plain, inline)]
unblock 637809 with 648857
reassign 648857 ftp.debian.org
severity 648857 normal
retitle 648857 RM: libdbd-interbase-perl -- ROM; non-free, no rdeps, alternatives exist
thanks

On Fri, 18 Nov 2011 21:37:11 +0200, Damyan Ivanov wrote:

> > > > It's time to rebuild this manually, against perl 5.14.
> > > I suggest removal. There is libdbd-firebird-perl, which is compatible 
> > > (it is a fork), better and free.
> > Makes sense, the package has no rdeps either, and there was no
> > protest so far :)
> > Would a transitional dummy package built from the
> > libdbd-firebird-perl source package make sense?
> It would if there were any rdeps. Since there are none, I don't think 
> it is worth the hassle. dbd-interbase never saw a stable release...

Ok, reassigning & asking for removal now.

Cheers,
gregor

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Tjian: Charly Psychodeli
[signature.asc (application/pgp-signature, inline)]

Removed indication that bug 648857 blocks 637809 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 18 Nov 2011 19:48:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:libdbd-interbase-perl' to 'ftp.debian.org'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 18 Nov 2011 19:48:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libdbd-interbase-perl/0.48-3. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 18 Nov 2011 19:48:07 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 18 Nov 2011 19:48:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: libdbd-interbase-perl -- ROM; non-free, no rdeps, alternatives exist' from 'libdbd-interbase-perl: needs to be rebuilt against perl 5.14' Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 18 Nov 2011 19:48:08 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 19 Nov 2011 09:41:09 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Sat, 19 Nov 2011 09:41:45 GMT) Full text and rfc822 format available.

Message #43 received at 648857-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 648857-close@bugs.debian.org
Cc: libdbd-interbase-perl@packages.debian.org, libdbd-interbase-perl@packages.qa.debian.org
Subject: Bug#648857: Removed package(s) from unstable
Date: Sat, 19 Nov 2011 09:38:44 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libdbd-interbase-perl |     0.48-3 | source, amd64, i386

------------------- Reason -------------------
ROM; non-free, no rdeps, alternatives exist
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648857@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/648857

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 18 Dec 2011 07:36:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:18:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.